Bug 905564 - [Upgrade] [Live Storage Migration] Auto generated snapshot for Live Storage migration can not be deleted.
[Upgrade] [Live Storage Migration] Auto generated snapshot for Live Storage m...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Daniel Erez
Leonid Natapov
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 11:37 EST by Leonid Natapov
Modified: 2016-02-10 14:40 EST (History)
10 users (show)

See Also:
Fixed In Version: SF6
Doc Type: Bug Fix
Doc Text:
Due to an RPC serialization error caused by the 'final' keyword in the 'diskList' field, the engine could not remove auto-generated snapshots created as part of the live storage migration operation. The 'final' keyword has been removed, so auto-generated snapshots can now be removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:45:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log (260.87 KB, application/x-gzip)
2013-01-29 11:37 EST, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2013-01-29 11:37:54 EST
Created attachment 689938 [details]
log

[Upgrade] [Live Storage Migration] Auto generated snapshot for Live Storage migration can not be deleted. 

While live storage migration we create snapshot that auto-generated. 
This snapshot (like all other snapshots) should be possible to delete.
But UI prevents from user to highlight this snapshot in order to delete it.

How to reproduce:
1.Create DC with two SDs.
2.Create VM with 1 or more disks.
3.Start VM and move it's disk from one SD to another.

You'll see that auto-generated snapshot will be created.

Stop VM and try to delete this snapshot.

engine.log attached.
Comment 4 Leonid Natapov 2013-02-12 10:11:05 EST
sf6. fixed.
Comment 9 errata-xmlrpc 2013-06-10 17:45:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.